%define oname   glib2

Name:       ruby-%{oname}
Version:    0.90.8
Release:    %mkrel 1
Summary:    Ruby/GLib2 is a Ruby binding of GLib-2.x
License:    GPLv2
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     glib2-0.90.8-prefer-system-gems.patch
Patch1:     glib2-0.90.8-do-not-call-make-in-test.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: glib2-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
Requires:   ruby(abi) = 1.8

%description
Ruby/GLib2 is a Ruby binding of GLib-2.x.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*.rb
%exclude %{ruby_vendorlibdir}/glib-test-init.rb
%{ruby_vendorarchdir}/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%defattr(-,root,root,-)
%{ruby_vendorlibdir}/glib-test-init.rb
%{ruby_vendorarchdir}/*.h
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0
%patch1 -p0
# remove bundled test-unit
rm -rf test-unit/

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}

#install glib-test-init because it’s required in other gnome2 modules
install -D -m644 test/glib-test-init.rb %{buildroot}%{ruby_vendorlibdir}

%check
ruby -I%{buildroot}%{ruby_vendorlibdir} -I%{buildroot}%{ruby_vendorarchdir} test/run-test.rb

%clean
rm -rf %{buildroot}



%changelog
* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71366
- Add glib-test-init.rb in devel subpackage since it?\226?\128?\153s required for other
  ruby-gnome2 modules (pango for instance)
- oops, forgot to add the patches
- New version 0.90.8
- add 2 patches:
  - prefer system test-unit over bundled one
  - subsequently add it as a BR
  - do not call make in test
- move files in vendorlibdir/vendorarchdir
- fix file list
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49082
- imported package ruby-glib2


* Tue Feb 08 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.90.7-1
- Initial package
